Skip to content
Merged
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension


Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
12 changes: 6 additions & 6 deletions .github/workflows/Linux-arm-pack.yml
Original file line number Diff line number Diff line change
Expand Up @@ -66,25 +66,25 @@ jobs:
uses: docker/setup-qemu-action@v3

- name: Set up Docker Buildx
uses: docker/setup-buildx-action@v3
uses: docker/setup-buildx-action@v4

- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
# ref: master

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand All @@ -107,7 +107,7 @@ jobs:


- name: Get packpack tool
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
repository: ${{ env.PACKPACK_REPO }}
path: tools
Expand Down Expand Up @@ -144,7 +144,7 @@ jobs:
sha256sum ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb | tee ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb.sha256sum

- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
path: |
Expand Down
48 changes: 24 additions & 24 deletions .github/workflows/Linux-pack.yml
Original file line number Diff line number Diff line change
Expand Up @@ -57,25 +57,25 @@ jobs:

steps:
- name: Set up Docker Buildx
uses: docker/setup-buildx-action@v3
uses: docker/setup-buildx-action@v4

- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
# ref: master

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand All @@ -97,7 +97,7 @@ jobs:
echo "GIT_HASH=${git_hash}" >> $GITHUB_ENV

- name: Get packpack tool
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
repository: ${{ env.PACKPACK_REPO }}
path: tools
Expand All @@ -120,7 +120,7 @@ jobs:
sha256sum ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb | tee ${PRODUCT}-${VERSION}-${RELEASE}.${{ matrix.dist.name }}.${{ matrix.dist.arch }}.deb.sha256sum

- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
path: |
Expand Down Expand Up @@ -150,21 +150,21 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
# ref: master

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand All @@ -186,7 +186,7 @@ jobs:
echo "GIT_HASH=${git_hash}" >> $GITHUB_ENV

- name: Get packpack tool
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
repository: ${{ env.PACKPACK_REPO }}
path: tools
Expand Down Expand Up @@ -237,7 +237,7 @@ jobs:

- name: Artifact Upload
if: matrix.dist.os == 'fedora'
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
path: |
Expand All @@ -246,7 +246,7 @@ jobs:

- name: Artifact Upload
if: matrix.dist.os == 'opensuse-leap'
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-${{ matrix.dist.name }}-${{ matrix.dist.arch }}
path: |
Expand Down Expand Up @@ -279,21 +279,21 @@ jobs:

- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
# ref: master

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -360,7 +360,7 @@ jobs:
sha256sum Flameshot-${VERSION}.x86_64.AppImage | tee Flameshot-${VERSION}.x86_64.AppImage.sha256sum

- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-appimage-x86_64
path: |
Expand All @@ -374,20 +374,20 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: master
- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -440,7 +440,7 @@ jobs:
cd "$GITHUB_WORKSPACE/" || { >&2 echo "Cannot cd to '$GITHUB_WORKSPACE/'!"; exit 11 ; }
sha256sum org.flameshot.Flameshot-${VERSION}.x86_64.flatpak | tee org.flameshot.Flameshot-${VERSION}.x86_64.flatpak.sha256sum
- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-flatpak-x86_64
path: |
Expand All @@ -454,21 +454,21 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: master
- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}


- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -503,7 +503,7 @@ jobs:
cd "$GITHUB_WORKSPACE/build/" || { >&2 echo "Cannot cd to '$GITHUB_WORKSPACE/build/'!"; exit 11 ; }
sha256sum ${PRODUCT}-${VERSION}-${RELEASE}.amd64.snap | tee ${PRODUCT}-${VERSION}-${RELEASE}.amd64.snap.sha256sum
- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-snap-x86_64
path: |
Expand Down
8 changes: 4 additions & 4 deletions .github/workflows/MacOS-pack.yml
Original file line number Diff line number Diff line change
Expand Up @@ -43,17 +43,17 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -92,7 +92,7 @@ jobs:
ninja create_dmg

- name: Artifact Upload
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-macos-${{ matrix.dist.arch }}
path: ${{ github.workspace }}/build/src/Flameshot-${{ env.VERSION }}.dmg
Expand Down
10 changes: 5 additions & 5 deletions .github/workflows/Windows-pack.yml
Original file line number Diff line number Diff line change
Expand Up @@ -51,21 +51,21 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
# ref: master

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
fetch-depth: 0
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -178,7 +178,7 @@ jobs:

- name: Artifact Upload
if: matrix.type == 'installer'
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-win-${{ matrix.config.arch }}-${{ matrix.type }}
path: |
Expand All @@ -188,7 +188,7 @@ jobs:

- name: Artifact Upload
if: matrix.type == 'portable'
uses: actions/upload-artifact@v4
uses: actions/upload-artifact@v7
with:
name: ${{ env.PRODUCT }}-${{ env.VER_INFO }}-artifact-win-${{ matrix.config.arch }}-${{ matrix.type }}
path: |
Expand Down
8 changes: 4 additions & 4 deletions .github/workflows/build_cmake.yml
Original file line number Diff line number Diff line change
Expand Up @@ -32,17 +32,17 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6

- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.event.pull_request.head.sha }}

- name: Checkout Source code
if: github.event_name == 'workflow_dispatch'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.sha }}

Expand Down Expand Up @@ -100,7 +100,7 @@ jobs:
}

steps:
- uses: actions/checkout@v4
- uses: actions/checkout@v6

- name: Fix Python path
shell: pwsh
Expand Down
6 changes: 3 additions & 3 deletions .github/workflows/clang-format.yml
Original file line number Diff line number Diff line change
Expand Up @@ -23,13 +23,13 @@ jobs:
steps:
- name: Checkout Source code
if: github.event_name == 'push'
uses: actions/checkout@v4
uses: actions/checkout@v6
- name: Checkout Source code
if: github.event_name == 'pull_request'
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
ref: ${{ github.event.pull_request.head.sha }}
- uses: DoozyX/clang-format-lint-action@v0.13
- uses: DoozyX/clang-format-lint-action@v0.18
with:
source: './src'
extensions: 'h,cpp'
Expand Down
4 changes: 2 additions & 2 deletions .github/workflows/deploy-dev-docs.yml
Original file line number Diff line number Diff line change
Expand Up @@ -22,7 +22,7 @@ jobs:
git+https://github.com/veracioux/mkdoxy@v1.0.0

- name: Checkout flameshot source
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
path: 'flameshot'

Expand All @@ -32,7 +32,7 @@ jobs:
make build

- name: Checkout flameshot website
uses: actions/checkout@v4
uses: actions/checkout@v6
with:
repository: 'flameshot-org/flameshot-org.github.io'
ref: 'gh-pages'
Expand Down
Loading